package com.tofly.analyse.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.analyse.entity.DataSet;
import com.tofly.analyse.entity.MetaData;

import java.util.Map;

public interface MetaDataService extends IService<MetaData> {
	    	
	public Page<Map> getDataSetPage(Page page, DataSet dataSet);
		
	public Page<Map> getMetaDataPage(Page page, MetaData metaData);
	
	public void updateDataSet(DataSet dataSet);
		
	public void updateMetaData(MetaData metaData);
					
}